#include "stm32f10x.h"

#define StackTop  ((uint32_t)(0x20000000 + 20*1024))
static void Reset_Handler(void);

__attribute__((used,section(".isr_vector")))
void (*const g_pfnVectors[])(void) =
{
  (void*)StackTop, //    .
  Reset_Handler    //     .
};

static void Reset_Handler(void)
{
    RCC->APB2ENR = RCC_APB2ENR_IOPCEN; // .   GPIOC.
    GPIOC->CRH = GPIO_CRH_MODE13;      //   PC13  .

    while(1)
    {
        GPIOC->ODR ^= (1<<13);         //    PC13.
        for (uint32_t i=0; i<1000000; i++);
    }
}
